package com.ruoyi.business.service;

import java.util.List;
import com.ruoyi.business.domain.SChart;

/**
 * 轮播图Service接口
 * 
 * @author xiatao
 * @date 2022-01-18
 */
public interface ISChartService 
{
    /**
     * 查询轮播图
     * 
     * @param chartId 轮播图主键
     * @return 轮播图
     */
    public SChart selectSChartByChartId(Integer chartId);

    /**
     * 查询轮播图列表
     * 
     * @param sChart 轮播图
     * @return 轮播图集合
     */
    public List<SChart> selectSChartList(SChart sChart);

    /**
     * 新增轮播图
     * 
     * @param sChart 轮播图
     * @return 结果
     */
    public int insertSChart(SChart sChart);

    /**
     * 修改轮播图
     * 
     * @param sChart 轮播图
     * @return 结果
     */
    public int updateSChart(SChart sChart);

    /**
     * 批量删除轮播图
     * 
     * @param chartIds 需要删除的轮播图主键集合
     * @return 结果
     */
    public int deleteSChartByChartIds(String chartIds);

    /**
     * 删除轮播图信息
     * 
     * @param chartId 轮播图主键
     * @return 结果
     */
    public int deleteSChartByChartId(Integer chartId);
}
